*  Make hi rez screen bios handle 40 lines of 8x8 characters
*
*
* author:
*               j d eisenstein
* 
* date:
*               15-aug-85
*

		.text
		.globl _hi40

LINEA_I		equ     $A000 
GET_REZ		equ     4       	; extended bios resolution inquiry
 

_hi40: 

	lea     stack,sp 

	move.w  #GET_REZ,-(sp)  	; get screen resolution
	trap    #14 
	addq.w  #2,sp
 
	cmp.w   #2,d0           	; only execute if already in hi rez
	bne     exit 
 

	dc.w    LINEA_I      	; get the important pointers 
 
	move.l  04(a1),a1       	; a1 -> 8x8 font header 

	move.l  72(a1),-$0A(a0) 	; v_off_ad <- 8x8 offset table ad
	move.l  76(a1),-$16(a0) 	; v_fnt_ad <- 8x8 font data addr 

	move.w  #008,-$2E(a0)		; v_cel_ht <- 8    8x8 cell height
	move.w  #0039,-$2A(a0)  	; v_cel_my <- 49    maximum cell "Y" 
*	use 8x8 font in 8x10 cell, giving 10*80 for v byte offset
	move.w  #800,-$28(a0)		; v_cel_wr <- 10*80 vertical byte offset

exit:   clr.w   -(sp)           	; back to the os 
	trap    #1 
 

	ds.l    $10
stack:  ds.l    $01             	; hey chef, gimme a short stack

 

*******
*	move.l  04(a1),a1       	; a1 -> 8x8 font header 
*
*	move.l  72(a1),-$0A(a0) 	; v_off_ad <- 8x8 offset table ad
*	move.l  76(a1),-$16(a0) 	; v_fnt_ad <- 8x8 font data addr 
*
*	move.w  #008,-$2E(a0)		; v_cel_ht <- 8    8x8 cell heigh
*	move.w  #0049,-$2A(a0)  	; v_cel_my <- 49    maximum cell "Y" 
*	move.w  #640,-$28(a0)		; v_cel_wr <- 640  vertical byte offset
*******
*	move.l  08(a1),a1       	; a1 -> 8x16 font header 
*
*	move.l  72(a1),-$0A(a0) 	; v_off_ad <- 8x16 offset table ad
*	move.l  76(a1),-$16(a0) 	; v_fnt_ad <- 8x16 font data addr 
*
*	move.w  #0016,-$2E(a0)  	; v_cel_ht <- 16    8x16 cell heigh
*	move.w  #0024,-$2A(a0)  	; v_cel_my <- 24    maximum cell "Y" 
*	move.w  #1280,-$28(a0)  	; v_cel_wr <- 1280  vertical byte offset
*******
	end 
